release_tracks: [GA, ALPHA, BETA]
help_text:
  brief: Update a multicast domain group.
  description: |
    Update a multicast domain group in the specified location of the current project.
  examples: |
    Update a multicast domain group with the name `my-multicast-domain-group`
    and location `zone`.

      $ {command} my-multicast-domain-group --description="new description" --location=zone
arguments:
  resource:
    spec: !REF googlecloudsdk.command_lib.network_services.resources:multicastDomainGroup
    help_text: |
      Name of the multicast domain group to be updated.
  params:
  - arg_name: description
    api_field: multicastDomainGroup.description
    help_text: The description for the multicast domain group.
  labels:
    api_field: multicastDomainGroup.labels
update:
  read_modify_update: true
async:
  collection: networkservices.projects.locations.operations
request: &request
  GA:
    api_version: v1
  ALPHA:
    api_version: v1alpha1
  BETA:
    api_version: v1beta1
  collection: networkservices.projects.locations.multicastDomainGroups
  method: patch
